> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/v1/vendors/{id} > Retrieves the vendor specified by the id ## OpenAPI ````json GET /public/v1/vendors/{id} { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/v1/vendors/{id}": { "get": { "tags": [ "inventory" ], "description": "Retrieves the vendor specified by the id", "parameters": [ { "name": "id", "in": "path", "description": "The identifier of the vendor", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "The vendor entity", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/VendorPublicDto" } }, "application/json": { "schema": { "$ref": "#/components/schemas/VendorPublicDto" } }, "text/json": { "schema": { "$ref": "#/components/schemas/VendorPublicDto" } } } }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.ProblemDetails" } } } }, "422": { "description": "Unprocessable Content", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } } } } } } }, "components": { "schemas": { "VendorPublicDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the vendor." }, "name": { "type": "string", "nullable": true, "description": "Display name of the vendor." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the vendor." }, "comment": { "type": "string", "nullable": true, "description": "Free-text comment associated with the vendor." }, "createdBy": { "$ref": "#/components/schemas/Users.UserReference", "description": "User who created the vendor." }, "createdOn": { "type": "string", "format": "date-time", "nullable": true, "description": "Timestamp when the vendor was created." }, "modifiedBy": { "$ref": "#/components/schemas/Users.UserReference", "description": "User who last modified the vendor." }, "modifiedOn": { "type": "string", "format": "date-time", "nullable": true, "description": "Timestamp when the vendor was last modified." }, "address": { "$ref": "#/components/schemas/VendorAddressPublicDto" } }, "additionalProperties": false }, "R365.Inventory.Public.Models.ProblemDetails": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "title": { "type": "string", "nullable": true }, "status": { "type": "integer", "format": "int32", "nullable": true, "description": "Current status of the problem details." }, "detail": { "type": "string", "nullable": true }, "instance": { "type": "string", "nullable": true } } }, "R365.Inventory.Public.Models.R365Error": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "innerError": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } }, "Users.UserReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the user." }, "name": { "type": "string", "nullable": true, "description": "Display name of the user." } }, "additionalProperties": false }, "VendorAddressPublicDto": { "type": "object", "properties": { "addressLine1": { "type": "string", "nullable": true }, "addressLine2": { "type": "string", "nullable": true }, "addressLine3": { "type": "string", "nullable": true }, "city": { "type": "string", "nullable": true }, "stateOrProvince": { "type": "string", "nullable": true }, "country": { "type": "string", "nullable": true }, "postalCode": { "type": "string", "nullable": true } }, "additionalProperties": false } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````